
# The configuration file of dim.
# It's a Python file (*not* a module).

configuration.addRepository ( repoid     ="sl-local"
                            , optionHelp ="Applies on SL 7 distribution repository."
                            , comps      ="comps-sl7-%(basearch)s.xml"
                            , rpmSubdir  ="Packages"
                            , updateRepos=["sl-security", "sl-fastbugs", "sl"]
                            )
configuration.addRepository ( repoid     ="sl-source-local"
                            , optionHelp ="Applies on SL 7 source distribution repository."
                            , updateRepos=["sl-source" ]
                            )
configuration.addRepository ( repoid     ="sl-debuginfo-local"
                            , optionHelp ="Applies on SL 7 debuginfo distribution repository."
                            , updateRepos=["sl-debuginfo" ]
                            )


configuration.addRepository ( repoid     ="softwarecollections-local"
                            , optionHelp ="Applies on SL 7 software collections repository."
                            , updateRepos=["softwarecollections"]
                            )
configuration.addRepository ( repoid     ="softwarecollections-source-local"
                            , optionHelp ="Applies on SL 7 software collections repository."
                            , updateRepos=["softwarecollections-source"]
                            )


configuration.addRepository ( repoid     ="sl-extras-local"
                            , optionHelp ="Applies on SL 7 extras repository."
                            , updateRepos=["sl-extras"]
                            )
configuration.addRepository ( repoid     ="sl-extras-source-local"
                            , optionHelp ="Applies on SL 7 extras repository."
                            , updateRepos=["sl-extras-source"]
                            )


configuration.addRepository ( repoid     ="sl-hc-local"
                            , optionHelp ="Applies on SL 7 Hardware Test repository."
                            , updateRepos=["sl-hc"]
                            )
configuration.addRepository ( repoid     ="sl-hc-source-local"
                            , optionHelp ="Applies on SL 7 Hardware Test repository."
                            , updateRepos=["sl-hc-source"]
                            )


configuration.addRepository ( repoid     ="epel-local"
                            , optionHelp ="Applies on SL 7 EPEL repository."
                            , updateRepos=["epel"]
                            , comps      ="comps-epel7.xml"
                            )
configuration.addRepository ( repoid     ="epel-source-local"
                            , optionHelp ="Applies on SL 7 EPEL source repository."
                            , updateRepos=["epel-source"]
                            )


configuration.addRepository ( repoid     ="xpra-local"
                            , optionHelp ="Applies on Xpra repository."
                            , updateRepos=["xpra"]
                            )
configuration.addRepository ( repoid     ="xpra-source-local"
                            , optionHelp ="Applies on Xpra source repository."
                            , updateRepos=["xpra-source"]
                            )


configuration.addRepository ( repoid     ="soc-addons-local"
                            , optionHelp ="Applies on SoC repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-addons-source-local"
                            , optionHelp ="Applies on SoC repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-texlive-local"
                            , optionHelp ="Applies on SoC repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-texlive-source-local"
                            , optionHelp ="Applies on SoC repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-xfce-local"
                            , optionHelp ="Applies on SoC repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-xfce-source-local"
                            , optionHelp ="Applies on SoC repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-changeds-local"
                            , optionHelp ="Applies on SL overriden repository."
                            , updateRepos=[]
                            )
configuration.addRepository ( repoid     ="soc-changeds-source-local"
                            , optionHelp ="Applies on SL overriden repository (source)."
                            , updateRepos=[]
                            )


configuration.addRepository ( repoid     ="vendors-local"
                            , optionHelp ="Applies on misc. vendors repository."
                            , updateRepos=[ "google-chrome"
                                          , "docker-ce-stable"
                                          , "virtualbox"
                                         #, "vscode"
                                          , "adobe-linux-x86_64"
                                         #, "sublime-text"
                                         #, "cuda"
                                         #, "isv_ownCloud_desktop"
                                          ]
                            )

configuration.addGroup      ( groupid='sl-all'
                            , repoids=[ 'sl-local'
                                      , 'sl-source-local'
                                      , 'sl-debuginfo-local'
                                      , 'sl-softwarecollections-local'
                                      , 'sl-softwarecollections-source-local'
                                      , 'sl-extras-local'
                                      , 'sl-extras-source-local'
                                      , 'sl-hc-local'
                                      , 'sl-hc-source-local'
                                      ]
                            )
